#include <signal.h>
#include "common.h"

void set_signal_handler(int signal, void (*handler)(int)) {
	struct sigaction sa;

	sigemptyset(&sa.sa_mask);
	sa.sa_flags = 0;
	sa.sa_handler = handler;
	if (sigaction(signal, &sa, NULL) < 0)
		die("unable to install signal handler");
}

